$(document).ready(function(){

	$('.testslider').owlCarousel({
	    items: 3,
	    nav: true,
	    dots: false,
	    mouseDrag: true,
	    margin:20,
	    responsiveClass: true,
	    responsive: {
	        0:{
	          items: 1
	        },
	        480:{
	          items: 1
	        },
	        769:{
	          items: 3
	        }
	    }
	});


	    $(".filter-button").click(function(){
	        var value = $(this).attr('data-filter');
	        
	        if(value == "all")
	        {
	            //$('.filter').removeClass('hidden');
	            $('.filter').show('1000');
	        }
	        else
	        {
	//            $('.filter[filter-item="'+value+'"]').removeClass('hidden');
	//            $(".filter").not('.filter[filter-item="'+value+'"]').addClass('hidden');
	            $(".filter").not('.'+value).hide('3000');
	            $('.filter').filter('.'+value).show('3000');
	            
	        }
	  
		    $(".filter-button").removeClass("active")
			$(this).addClass("active");
        });
        
	});


const steps = document.querySelectorAll('.step');
const formSteps = document.querySelectorAll('.form-step');
const nextBtns = document.querySelectorAll('.next-btn');
const prevBtns = document.querySelectorAll('.prev-btn');

let currentStep = 0;

nextBtns.forEach((btn, index) => {
  btn.addEventListener('click', () => {
    if (currentStep < steps.length - 1) {
      steps[currentStep].classList.remove('active');
      formSteps[currentStep].classList.remove('active');
      currentStep++;
      steps[currentStep].classList.add('active');
      formSteps[currentStep].classList.add('active');
    }
  });
});

prevBtns.forEach((btn, index) => {
  btn.addEventListener('click', () => {
    if (currentStep > 0) {
      steps[currentStep].classList.remove('active');
      formSteps[currentStep].classList.remove('active');
      currentStep--;
      steps[currentStep].classList.add('active');
      formSteps[currentStep].classList.add('active');
    }
  });
});


function previewImage1(event) {
    const file = event.target.files[0];
    const previewContainer = document.getElementById('file-preview1');
    
    // Clear previous preview
    previewContainer.innerHTML = '';

    if (file) {
        const reader = new FileReader();
        reader.onload = function(e) {
            const imgElement = document.createElement('img');
            imgElement.src = e.target.result;
            previewContainer.appendChild(imgElement);
        }
        reader.readAsDataURL(file);
    }
}

function previewImage2(event) {
    const file = event.target.files[0];
    const previewContainer = document.getElementById('file-preview2');
    
    // Clear previous preview
    previewContainer.innerHTML = '';

    if (file) {
        const reader = new FileReader();
        reader.onload = function(e) {
            const imgElement = document.createElement('img');
            imgElement.src = e.target.result;
            previewContainer.appendChild(imgElement);
        }
        reader.readAsDataURL(file);
    }
}


function toggleYoutubeField() {
  var youtubeField = document.getElementById("youtubeField");
  var checkbox = document.getElementById("flexCheckMusic");
  
  if (checkbox.checked) {
    youtubeField.style.display = "block";
  } else {
    youtubeField.style.display = "none";
  }
}